## org.eclipse.emf.ocl.types.impl
Class TypesFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.emf.ocl.types.impl.TypesFactoryImpl

All Implemented Interfaces:
  Notifier, EFactory, EModelElement, EObject, InternalEObject, TypesFactory

    public class TypesFactoryImpl

extends EFactoryImpl
implements TypesFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`static String` `copyright`

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ocl.types.TypesFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`TypesFactoryImpl()` Creates an instance of the factory

Method Summary
`EObject` `create(EClass eClass)`
`AnyType` `createAnyType()`
`BagType` `createBagType()` Returns a new object of class 'Bag Type'
`BagType` `createBagType(EClassifier elementType)`
`CollectionType` `createCollectionType()` Returns a new object of class 'Collection Type'
`CollectionType` `createCollectionType(CollectionKind kind, EClassifier elementType)`
`CollectionType` `createCollectionType(EClassifier elementType)`
`ElementType` `createElementType()`
`InvalidType` `createInvalidType()`
`MessageType` `createMessageType()`
`MessageType` `createMessageType(ENamedElement behavioralFeature)` Creates the type for the messages representing invocation of the specified behavioralFeature.
`OrderedSetType` `createOrderedSetType()` Returns a new object of class 'Ordered Set Type'
`OrderedSetType` `createOrderedSetType(EClassifier elementType)`
`PrimitiveBoolean` `createPrimitiveBoolean()`
`PrimitiveInteger` `createPrimitiveInteger()`
`PrimitiveReal` `createPrimitiveReal()`
`PrimitiveString` `createPrimitiveString()`
`SequenceType` `createSequenceType()` Returns a new object of class 'Sequence Type'
`SequenceType` `createSequenceType(EClassifier elementType)`
`SetType` `createSetType()` Returns a new object of class 'Set Type'
`SetType` `createSetType(EClassifier elementType)`
`TupleType` `createTupleType()`
`TupleType` `createTupleType(List parts)` Creates a tuple type based on tthe specified part descriptions.
`TypeType` `createTypeType()`
`TypeType` `createTypeType(EClassifier type)`
`VoidType` `createVoidType()`
`static TypesPackage` `getPackage()` Deprecated.
`TypesPackage` `getTypesPackage()`
`static TypesFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, convertToString, createFromString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### copyright

    public static final String copyright

  See Also:
    Constant Field Values

Constructor Detail

### TypesFactoryImpl

    public TypesFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static TypesFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

  Specified by:
    `create` in interface `EFactory`
  Overrides:
    `create` in class `EFactoryImpl`

### createBagType

    public BagType createBagType()

  Description copied from interface: `TypesFactory`
  Returns a new object of class 'Bag Type'.

  Specified by:
    `createBagType` in interface `TypesFactory`
  Returns:
    a new object of class 'Bag Type'.

### createCollectionType

    public CollectionType createCollectionType()

  Description copied from interface: `TypesFactory`
  Returns a new object of class 'Collection Type'.

  Specified by:
    `createCollectionType` in interface `TypesFactory`
  Returns:
    a new object of class 'Collection Type'.

### createBagType

    public BagType createBagType(EClassifier elementType)

  Specified by:
    `createBagType` in interface `TypesFactory`

### createCollectionType

    public CollectionType createCollectionType(EClassifier elementType)

  Specified by:
    `createCollectionType` in interface `TypesFactory`

### createCollectionType

    public CollectionType createCollectionType(CollectionKind kind,
                                               EClassifier elementType)

  Specified by:
    `createCollectionType` in interface `TypesFactory`

### createTupleType

    public TupleType createTupleType(List parts)

  Description copied from interface: `TypesFactory`
  Creates a tuple type based on tthe specified part descriptions.

  Specified by:
    `createTupleType` in interface `TypesFactory`
  Parameters:
    `parts` - a list of `TypedElement`s describing the tuple parts
  Returns:
    the new tuple type

### createOrderedSetType

    public OrderedSetType createOrderedSetType()

  Description copied from interface: `TypesFactory`
  Returns a new object of class 'Ordered Set Type'.

  Specified by:
    `createOrderedSetType` in interface `TypesFactory`
  Returns:
    a new object of class 'Ordered Set Type'.

### createOrderedSetType

    public OrderedSetType createOrderedSetType(EClassifier elementType)

  Specified by:
    `createOrderedSetType` in interface `TypesFactory`

### createSequenceType

    public SequenceType createSequenceType()

  Description copied from interface: `TypesFactory`
  Returns a new object of class 'Sequence Type'.

  Specified by:
    `createSequenceType` in interface `TypesFactory`
  Returns:
    a new object of class 'Sequence Type'.

### createSequenceType

    public SequenceType createSequenceType(EClassifier elementType)

  Specified by:
    `createSequenceType` in interface `TypesFactory`

### createSetType

    public SetType createSetType()

  Description copied from interface: `TypesFactory`
  Returns a new object of class 'Set Type'.

  Specified by:
    `createSetType` in interface `TypesFactory`
  Returns:
    a new object of class 'Set Type'.

### createSetType

    public SetType createSetType(EClassifier elementType)

  Specified by:
    `createSetType` in interface `TypesFactory`

### createTupleType

    public TupleType createTupleType()

  Specified by:
    `createTupleType` in interface `TypesFactory`
  Returns:
    a new object of class 'Tuple Type'.

### createVoidType

    public VoidType createVoidType()

  Specified by:
    `createVoidType` in interface `TypesFactory`
  Returns:
    a new object of class 'Void Type'.

### createMessageType

    public MessageType createMessageType()

  Specified by:
    `createMessageType` in interface `TypesFactory`
  Returns:
    a new object of class 'Message Type'.

### createMessageType

    public MessageType createMessageType(ENamedElement behavioralFeature)

  Description copied from interface: `TypesFactory`
  Creates the type for the messages representing invocation of the specified behavioralFeature.

  Specified by:
    `createMessageType` in interface `TypesFactory`
  Parameters:
    `behavioralFeature` - either an `EOperation` or an `EClass` representing the received signal
  Returns:
    the message type

### createElementType

    public ElementType createElementType()

  Specified by:
    `createElementType` in interface `TypesFactory`
  Returns:
    a new object of class 'Element Type'.

### createInvalidType

    public InvalidType createInvalidType()

  Specified by:
    `createInvalidType` in interface `TypesFactory`
  Returns:
    a new object of class 'Invalid Type'.

### createTypeType

    public TypeType createTypeType()

  Specified by:
    `createTypeType` in interface `TypesFactory`
  Returns:
    a new object of class 'Type Type'.

### createTypeType

    public TypeType createTypeType(EClassifier type)

  Specified by:
    `createTypeType` in interface `TypesFactory`

### createPrimitiveBoolean

    public PrimitiveBoolean createPrimitiveBoolean()

  Specified by:
    `createPrimitiveBoolean` in interface `TypesFactory`
  Returns:
    a new object of class 'Primitive Boolean'.

### createPrimitiveInteger

    public PrimitiveInteger createPrimitiveInteger()

  Specified by:
    `createPrimitiveInteger` in interface `TypesFactory`
  Returns:
    a new object of class 'Primitive Integer'.

### createPrimitiveReal

    public PrimitiveReal createPrimitiveReal()

  Specified by:
    `createPrimitiveReal` in interface `TypesFactory`
  Returns:
    a new object of class 'Primitive Real'.

### createPrimitiveString

    public PrimitiveString createPrimitiveString()

  Specified by:
    `createPrimitiveString` in interface `TypesFactory`
  Returns:
    a new object of class 'Primitive String'.

### createAnyType

    public AnyType createAnyType()

  Specified by:
    `createAnyType` in interface `TypesFactory`
  Returns:
    a new object of class 'Any Type'.

### getTypesPackage

    public TypesPackage getTypesPackage()

  Specified by:
    `getTypesPackage` in interface `TypesFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static TypesPackage getPackage()

  Deprecated.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.